import type { Metadata } from "next";
import localFont from "next/font/local";
import "./globals.css";

import Navbar from "@/components/Navbar";
import Footer from "@/components/Footer";

const latoregular = localFont({
  src: "./fonts/lato-regular.woff",
  variable: "--font-lato",
  weight: "100 900",
})

const latobold = localFont({
  src: "./fonts/lato-bold.woff",
  variable: "--font-lato-bold",
  weight: "100 900",
})

export const metadata: Metadata = {
  title: "SJTKD Abteilungen",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <html lang="de">
      <body
        className={latoregular.variable}
      >
      <header>
        <Navbar />
      </header>
      <main className="max-w-3xl mx-auto">
        {children}
        </main>
        <Footer />
      </body>
    </html>
  );
}
