require("dotenv").config();
const express = require("express");
const app = express();
const authRoutes = require("./routes/auth");
const memberRoutes = require("./routes/members");
const spieleRoutes = require("./routes/spiele");
const bodyParser = require("body-parser");
const cors = require("cors");

// CORS für alle Routen aktivieren
app.use(
  cors({
    origin: "http://localhost:3000", // Ersetze dies durch deine Next.js URL
    credentials: true, // Falls du Cookies oder Auth-Headers verwendest
  })
);

// Middleware
app.use(express.json());
app.use(express.urlencoded({ extended: true }));

const authenticateToken = require("./middleware/authenticateToken");

// Routes
app.use("/auth", authRoutes);
app.use("/members", memberRoutes);
app.use("/spiele", spieleRoutes);

// Server starten
const PORT = process.env.PORT || 2005;
app.listen(PORT, () => {
  console.log(`Server läuft auf Port ${PORT}`);
});
