const express = require("express");
const {
  loginUser,
  registerUser,
  updateUser,
} = require("../controllers/userController");
const router = express.Router();
const authenticateToken = require("../middleware/authenticateToken");

// Registrierungsroute
router.post("/register", registerUser);

// Loginroute
router.post("/login", loginUser);

router.post("/update", authenticateToken, updateUser);

module.exports = router;
